Name:           trackballs
Version:        1.1.2
Release:        3%{?dist}
Summary:        Steer a marble ball through a labyrinth
Group:          Amusements/Games
License:        GPL
URL:            http://trackballs.sourceforge.net/
Source0:        http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}-16.png
Source3:        %{name}-32.png
Source4:        %{name}-48.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  guile-devel libGLU-devel zlib-devel desktop-file-utils
BuildRequires:  SDL_ttf-devel SDL_mixer-devel SDL_image-devel

%description
Trackballs is a game in which you steer a marble ball through tracks of varying
difficulty. The game features 3D graphics, an integerated level editor and high
quality soundeffects and background music.


%prep
%setup -q
iconv -f ISO-8859-1 -t UTF8 share/%{name}.6 > share/%{name}.6.tmp
mv share/%{name}.6.tmp share/%{name}.6
# the install script does a chgrp to 'games', this doesn't work while
# building as a user. Is group=games required?
sed -i "s/chgrp/#chgrp/g;" share/Makefile*


%build
export CXXFLAGS="$RPM_OPT_FLAGS -DALT_HIGHSCORES=\\\"~\\\""
%configure
sed -i 's|^mkinstalldirs.*|mkinstalldirs=$(MKINSTALLDIRS)|g' po/Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# we use the ALT (homedir based) highscore location
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/highScores
%find_lang %{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog FAQ README README.html TODO
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-3
- FE6 Rebuild

* Tue Aug 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-2
- Remove some redundant BR's

* Mon Aug 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.2-1
- Initial Fedora Extras version
